Bug 12308 - show all title subfields on the holds list
Summary: show all title subfields on the holds list
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-22 12:44 UTC by Nicole C. Engard
Modified: 2015-06-04 23:30 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
no subtitle info (22.36 KB, image/png)
2014-05-22 12:44 UTC, Nicole C. Engard
Details
subtitle on the record (18.65 KB, image/png)
2014-05-22 12:44 UTC, Nicole C. Engard
Details
Bug 12308 - show all title subfields on the holds list (4.39 KB, patch)
2014-05-22 13:28 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 12308 - show all title subfields on the holds list (4.42 KB, patch)
2014-05-31 16:30 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 12308 - show all title subfields on the holds list (4.47 KB, patch)
2014-06-02 12:42 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2014-05-22 12:44:16 UTC
Created attachment 28436 [details]
no subtitle info

Right now we show the patrons what they have on hold in the OPAC, but without all the subfields associated with the title. So when you look at the attached image you'll see that it's all 'game of thrones' but in reality it's several different seasons - information that's in the 245$p and the 245$n.
Comment 1 Nicole C. Engard 2014-05-22 12:44:29 UTC
Created attachment 28437 [details]
subtitle on the record
Comment 2 Owen Leonard 2014-05-22 13:28:42 UTC Comment hidden (obsolete)
Comment 3 David Cook 2014-05-23 00:58:56 UTC
Awesome. I'll have to take a look at this later.

I suppose it's worth mentioning that the Keyword to MARC mapping, at least in Nicole's case, will need to be expanded to include 245$p and 245$n and not just 245$b. (I think they also need to be input for each framework in the correct order or they'll display oddly.)

I wonder sometimes if there isn't a better way to do subtitle. I suppose Keyword to MARC mapping adds flexibility over just showing a "title" composed of the whole "245" string, but...it's a bit of a pain to update each framework, and to have a default of showing just the title proper or title proper and 245$b at best :/.

Anyway, that's a discussion for another bug.

Glad to see the subtitle going in here :D
Comment 4 Nicole C. Engard 2014-05-31 16:30:59 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2014-06-02 12:42:40 UTC
Created attachment 28607 [details] [review]
Bug 12308 - show all title subfields on the holds list

The patron summary page in the bootstrap OPAC does not show subtitle in
the list of checkouts, overdues, or holds. This patch corrects this.

To test, set your OPAC theme to bootstrap and log in to the OPAC as a
user who has items checked out, items overdue, and items on hold. At
least one of each of those should be a title which has a subtitle as
defined in Administration -> Keyword to MARC mapping. Subtitles should
appear correctly under the "Checked out," "Overdue," and "Holds" tabs.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 6 Chris Cormack 2014-06-02 21:42:55 UTC
Pushed to master in my role as module maintainer for the OPAC.

Thanks Owen
Comment 7 Galen Charlton 2014-06-04 15:37:24 UTC
Pushed to 3.16.x for inclusion in 3.16.1.